Author: doogie
Date: Wed Mar 4 22:44:36 2009
New Revision: 750207
URL:
http://svn.apache.org/viewvc?rev=750207&view=revLog:
Explicitly stop/start the ofbiz daemon, instead of letting debhelper
do it.
Modified:
ofbiz/trunk/debian/ofbiz-framework.postinst
ofbiz/trunk/debian/ofbiz-framework.prerm
ofbiz/trunk/debian/rules
Modified: ofbiz/trunk/debian/ofbiz-framework.postinst
URL:
http://svn.apache.org/viewvc/ofbiz/trunk/debian/ofbiz-framework.postinst?rev=750207&r1=750206&r2=750207&view=diff==============================================================================
--- ofbiz/trunk/debian/ofbiz-framework.postinst (original)
+++ ofbiz/trunk/debian/ofbiz-framework.postinst Wed Mar 4 22:44:36 2009
@@ -150,6 +150,15 @@
exit 1
fi
}
+start_ofbiz() {
+ if [ -x "/etc/init.d/ofbiz" ]; then
+ if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d ofbiz start || exit $?
+ else
+ /etc/init.d/ofbiz start || exit $?
+ fi
+ fi
+}
. /usr/share/debconf/confmodule
. /usr/share/dbconfig-common/dpkg/postinst
@@ -197,6 +206,7 @@
;;
esac
#DEBHELPER#
+start_ofbiz
db_stop
exit
Modified: ofbiz/trunk/debian/ofbiz-framework.prerm
URL:
http://svn.apache.org/viewvc/ofbiz/trunk/debian/ofbiz-framework.prerm?rev=750207&r1=750206&r2=750207&view=diff==============================================================================
--- ofbiz/trunk/debian/ofbiz-framework.prerm (original)
+++ ofbiz/trunk/debian/ofbiz-framework.prerm Wed Mar 4 22:44:36 2009
@@ -22,6 +22,13 @@
. /usr/share/debconf/confmodule
#DEBHELPER#
+if [ -x "/etc/init.d/ofbiz" ]; then
+ if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+ invoke-rc.d ofbiz stop || exit $?
+ else
+ /etc/init.d/ofbiz stop || exit $?
+ fi
+fi
. /usr/share/dbconfig-common/dpkg/prerm
dbc_go ofbiz "$@"
Modified: ofbiz/trunk/debian/rules
URL:
http://svn.apache.org/viewvc/ofbiz/trunk/debian/rules?rev=750207&r1=750206&r2=750207&view=diff==============================================================================
--- ofbiz/trunk/debian/rules (original)
+++ ofbiz/trunk/debian/rules Wed Mar 4 22:44:36 2009
@@ -97,7 +97,7 @@
# dh_strip
# dh_shlibdeps
dh_installinit -N ofbiz-framework
- dh_installinit -p ofbiz-framework --name ofbiz
+ dh_installinit -p ofbiz-framework --name ofbiz -r --no-start
dh_installchangelogs
dh_installdebconf
dh_installdocs